Skip to main content
POST
Creates a new sales invoice for a sales order.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
string<uuid>
required
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

Request parameters

Creates a new sales invoice for a sales order. - Request

invoiceOnlyDeliveredQuantity
boolean

If true, only the delivered quantities of the sales order line items are added to the new invoice.

asDraft
boolean

If true, the invoice will be created as a draft. An invoice draft has no invoice number yet and can be edited until finalized.

Response

Sales invoice created successfully

Creates a new sales invoice for a sales order. - Response

salesInvoiceId
string<uuid>
required

The ID of the created sales invoice

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"